org.eclipse.microprofile.openapi.apps.petstore.resource

## Class PetResource

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.resource.PetResource

    @Path(value="/pet")
    public class PetResource
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PetResource()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`jakarta.ws.rs.core.Response` `addPet(Pet pet)`
`jakarta.ws.rs.core.Response` `deletePet(String apiKey, Long petId)`
`jakarta.ws.rs.core.Response` `downloadFile(Long petId)`
`jakarta.ws.rs.core.Response` `findPetsByStatus(String status)`
`jakarta.ws.rs.core.Response` `findPetsByTags(String apiKey, String tags)` Deprecated.
`jakarta.ws.rs.core.Response` `getPetById(Long petId)`
`jakarta.ws.rs.core.Response` `updatePet(Pet pet)`
`jakarta.ws.rs.core.Response` `updatePetWithCsv(Long petId, String commaSeparatedValues)`
`jakarta.ws.rs.core.Response` `updatePetWithForm(Long petId, String name, String status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PetResource

    public PetResource()

### Method Detail

#### getPetById

    @GET
     @Path(value="/{petId}")
    public jakarta.ws.rs.core.Response getPetById(@PathParam(value="petId")
                                                                                Long petId)
                                                                         throws NotFoundException

Throws:
  `NotFoundException`

#### downloadFile

    @GET
     @Path(value="/{petId}/download")
    public jakarta.ws.rs.core.Response downloadFile(@PathParam(value="petId")
                                                                                           Long petId)
                                                                                    throws NotFoundException

Throws:
  `NotFoundException`

#### deletePet

    @DELETE
     @Path(value="/{petId}")
    public jakarta.ws.rs.core.Response deletePet(@HeaderParam(value="api_key")
                                                                                  String apiKey,
                                                                                  @PathParam(value="petId")
                                                                                  Long petId)

#### addPet

    @POST
     @Consumes(value={"application/json","application/xml"})
     @Produces(value={"application/json","application/xml"})
    public jakarta.ws.rs.core.Response addPet(Pet pet)

#### updatePet

    @PUT
     @Consumes(value={"application/json","application/xml"})
    public jakarta.ws.rs.core.Response updatePet(Pet pet)

#### findPetsByStatus

    @GET
     @Path(value="/findByStatus")
    public jakarta.ws.rs.core.Response findPetsByStatus(String status)

#### findPetsByTags

    @GET
     @Path(value="/findByTags")
     @Produces(value="application/json")
     @Deprecated
    public jakarta.ws.rs.core.Response findPetsByTags(@HeaderParam(value="apiKey")
                                                                                                                                         String apiKey,
                                                                                                                                         @QueryParam(value="tags")
                                                                                                                                         String tags)

Deprecated.

#### updatePetWithForm

    @POST
     @Path(value="/{petId}")
     @Consumes(value="application/x-www-form-urlencoded")
    public jakarta.ws.rs.core.Response updatePetWithForm(@PathParam(value="petId")
                                                                                                                                              Long petId,
                                                                                                                                              @FormParam(value="name")
                                                                                                                                              String name,
                                                                                                                                              @FormParam(value="status")
                                                                                                                                              String status)

#### updatePetWithCsv

    @POST
     @Path(value="/{petId}")
     @Consumes(value="text/csv")
     @Produces(value="text/csv")
    public jakarta.ws.rs.core.Response updatePetWithCsv(@PathParam(value="petId")
                                                                                                                                                 Long petId,
                                                                                                                                                 String commaSeparatedValues)